# $Revision: 1.18 $, $Date: 2002/01/17 03:12:31 $
Summary:	Programs to control tape device operations
Summary(de):	Programme zum Kontrollieren von Streamern
Summary(fr):	Contrle les oprations du lecteur de bandes magntiques (mt)
Summary(pl):	Program do kontroli napdw tamowych
Summary(tr):	Manyetik teyp srcsnn ilevsel kontrol (mt)
Name:		mt-st
Version:	0.7
Release:	1
License:	BSD
Group:		Applications/System
Group(de):	Applikationen/System
Group(pl):	Aplikacje/System
Source0:	ftp://metalab.unc.edu/pub/Linux/system/backup/%{name}-%{version}.tar.gz
Source1:	%{name}-non-english-man-pages.tar.bz2
Patch0:		%{name}-DESTDIR.patch
Patch1:		%{name}-errno.h.patch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_bindir		/bin
%define		_sbindir	/sbin

%description
The mt-st package contains the mt and st tape drive management
programs. Mt (for magnetic tape drives) and st (for SCSI tape devices)
can control rewinding, ejecting, skipping files and blocks and more.

%description -l de
Das mt-st-Paket enthlt die mt und st Streamer-Management-Programme.
mt (fr Magnetbandlaufwerke) und st (fr SCSI-Streamer) knnen
Rckspulen, auswerfen, Dateien und blocks auslassen, und mehr.

%description -l fr
Le programme mt peut servir  raliser de nombreuses oprations sur
les bandes, comme le rembobinage, l'jection, le saut de fichiers et
de blocs, etc.

%description -l pl
Pakiet mt-st zawiera programy mt i st suce do kontroli napdw
tamowych. Mt (generalnie do napdw tamowych) i st (do napdw
tamowych SCSI) umoliwiaj przewijanie, przesuwanie tamy i
wyjmowanie z napdu kaset z tasm.

%description -l tr
mt program teypler zerinde rewind, eject, dosya, blok atlamas gibi
birok ilemin gerekletirilmesinde kullanlabilir.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__make} CFLAGS="%{rpmcflags} -Wall" CC=%{__cc}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

bzip2 -dc %{SOURCE1} | tar xf - -C $RPM_BUILD_ROOT/%{_mandir}

gzip -9nf README README.stinit mt-st-*.lsm

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.gz
%config(noreplace) %{_sysconfdir}/stinit.def
%attr(755,root,root) %{_bindir}/mt
%attr(755,root,root) %{_sbindir}/stinit
%{_mandir}/man1/mt.1*
%lang(es) %{_mandir}/es/man1/mt.1*
%lang(ja) %{_mandir}/ja/man1/mt.1*
%lang(pl) %{_mandir}/pl/man1/mt.1*
%{_mandir}/man8/stinit.8*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: mt-st.spec,v $
Revision 1.18  2002/01/17 03:12:31  kloczek
- updated to 0.7 (few new feactures).

Revision 1.17  2001/11/19 07:20:53  ankry
- added es, ja, pl man pages
- release 3

Revision 1.16  2001/05/04 09:07:21  kloczek
- release 2.

Revision 1.15  2001/04/30 16:05:25  kloczek
- added using %%{rpmcflags} macro.

Revision 1.14  2001/01/25 20:03:25  misiek

Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.13  2000/12/23 00:48:45  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.12  2000/12/04 19:51:12  kloczek
- updated to 0.6,
- removed obsoleted patches,
- added DESTDIR style %install (added DESTDIR patch),
- added default stinit config file in %%{_sysconfdir}/stinit.def
  as %config(noreplace).

Revision 1.11  2000/10/12 03:22:43  kloczek
- typo.

Revision 1.10  2000/10/12 02:06:42  kloczek
- release 11: use new rpm automation.

Revision 1.9  2000/09/08 04:49:44  kloczek
- updated de and daaded pl translation.

Revision 1.8  2000/09/08 04:42:43  kloczek
- release 10,
- merged RH patches.

Revision 1.7  2000/06/09 07:23:26  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/06/07 03:33:09  kloczek
- spec adapterized.

Revision 1.5  2000/04/10 17:06:17  baggins
- more spelling fixes

Revision 1.4  2000/04/01 11:14:54  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  1999/08/22 15:16:54  kloczek
- added de, fr, tr translations from LinuxMandrake spec,
- more rpm macros.

Revision 1.2  1999/08/20 17:43:36  baggins
- cleanup for PLD

Revision 1.1  1999/08/19 20:07:26  baggins
almost raw

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Wed Feb 10 1999 Preston Brown <pbrown@redhat.com>
- upgrade to .5b, which fixes some cmd. line arg issues (bugzilla #18)

* Thu Jul 23 1998 Jeff Johnson <jbj@redhat.com>
- package for 5.2.

* Sun Jul 19 1998 Andrea Borgia <borgia@cs.unibo.it>
- updated to version 0.5
- removed the touch to force the build: no binaries are included!
- added to the docs: README.stinit, stinit.def.examples
- made buildroot capable

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon Oct 20 1997 Donnie Barnes <djb@redhat.com>
- spec file cleanups

* Thu Jun 19 1997 Erik Troan <ewt@redhat.com>
- built against glibc
